package com.qmth.themis.business.enums;

/**
 * @Description: 下载文件类型
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/15
 */
public enum DownloadFileEnum {
    /**
     * 导入文件
     */
    IMPORTFILE(0),

    /**
     * 报告文件
     */
    REPORT(1),

    /**
     * 导出文件
     */
    RESULT(2);

    private int id;

    private DownloadFileEnum(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    /**
     * 状态转换 toName
     *
     * @param value
     * @return
     */
    public static String convertToName(int value) {
        for (DownloadFileEnum e : DownloadFileEnum.values()) {
            if (value == e.getId()) {
                return e.name();
            }
        }
        return null;
    }
}
